%def_disable static

%def_without M24
%def_without M30

# Version X.Y.Z
%define ver1 5
%define ver2 5
%define ver3 0
%define ver4 6
%define ver12 %ver1.%ver2

# Release
%define orel 1
%if_with M24
%define orel 0.M24.1
%endif
%if_with M30
%define orel 0.M30.1
%endif
%define pre_rel alt
%define post_rel 0
%ifdef post_rel
%define rel %pre_rel%orel.%post_rel
%else
%define rel %pre_rel%orel
%endif

# automake
%if_with M24
%def_disable useautomake
%endif
%if_with M30
%def_disable useautomake
%endif
%ifndef useautomake
%def_enable useautomake
%endif

# Name
%define oname1 lp
%define oname2 solve
%define oname12 %oname1%oname2
%define oname1_2 %{oname1}_%oname2
%define toolname %oname1_2
%define libname lib%oname12
%define specPLDname %{toolname}.PLD.spec

Name:		%toolname
Version:	%ver12.%ver3.%ver4
Release:	%rel
Summary:	Tool that solves linear programming problem
Summary(pl):	Narzdzie do rozwizywania problemu programowania liniowego
License:	LGPL
Group:		Sciences/Mathematics
Url:		http://sourceforge.net/projects/%oname12

Source0:	%{toolname}_%{version}_source.tar.gz
Source10:	%specPLDname
Patch0:		%toolname-%ver12-1-alt-autotools.patch
Patch1:		%toolname-%ver12-1-alt-linux.patch
##BuildRequires:	bison
##BuildRequires:	flex
##BuildRequires:	libtool
##BuildRequires: flex gcc-c++ packages-info-i18n-common python-modules-compiler python-modules-encodings

## Automatically added by buildreq on Tue Jun 06 2006
## BuildRequires: flex gcc-c++ packages-info-i18n-common

# Automatically added by buildreq on Tue Jun 06 2006
##%if_enabled static
##BuildRequires: glibc-devel-static
##%endif
##BuildRequires: flex gcc-c++ glibc-devel libstdc++-devel
BuildRequires: flex gcc-c++
##BuildRequires: flex gcc-c++ glibc-devel libstdc++-devel
#%%if_enabled static
##BuildRequires: glibc-devel-static
#%%endif

%description
Tool that solves linear programming problem using Simplex algorithm.

%description -l pl
Narzdzie do rozwizywania problemu programowania liniowego przy


%package -n %libname
Summary:	Library that solves linear programming problem
Summary(pl):	Biblioteka do rozwizywania problemu programowania liniowego
Group:		Sciences/Mathematics

%description -n %libname
Library that solves linear programming problem using Simplex algorithm.

%description -n %libname -l pl
Biblioteka do rozwizywania problemu programowania liniowego przy
uyciu algorytmu Simplex.

%package -n %libname-devel
Summary:	%libname header files
Summary(pl):	Pliki nagwkowe biblioteki %libname
Group:		Development/C
Requires:	%libname = %version-%release

%description -n %libname-devel
%libname header files.

%description -n %libname-devel -l pl
Pliki nagwkowe biblioteki %libname.

%if_enabled static
%package -n %libname-devel-static
Summary:	Static %libname library
Summary(pl):	Statyczna biblioteka liblpk
Group:		Development/C
Requires:	%libname-devel = %version-%release

%description -n %libname-devel-static
Static %libname library.

%description -n %libname-devel-static -l pl
Statyczna biblioteka %libname.
%endif

%prep
%setup -q -n lp_solve_%ver12
%patch0 -p0
%patch1 -p0 -E

%build
%if_enabled useautomake
%__aclocal
%__libtoolize --force
%__automake --foreign
%endif
%__autoconf
chmod 755 configure
%configure %{subst_enable static}
rm lp_rlp.h lp_rlp.c
%make_build
%make test

%install
%makeinstall
%__rm -f %buildroot%_bindir/lp_demo
%if_disabled static
%__rm -f %buildroot%_libdir/lib*.a
%__rm -f %buildroot%_libdir/%toolname/lib*.a
%__rm -f %buildroot%_libdir/%toolname/lib*.la
%endif
# docs
%__install -p -D %SOURCE10 %buildroot%_defaultdocdir/%toolname/%specPLDname
##rm -f lp_examples/*.{out,mps}

# rpm sets
%set_verify_elf_topdir %buildroot%_libdir %buildroot%_libdir/%toolname
%add_findprov_lib_path %_libdir/%toolname
%if_enabled static
%define _keep_libtool_files 1
%endif

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files
%doc README.txt
%doc %_defaultdocdir/%toolname/%specPLDname
/%_bindir/%toolname

%files -n %libname
%dir /%_libdir/%toolname
/%_libdir/lib*.so*
/%_libdir/%toolname/lib*.so*

%files -n %libname-devel
%dir /%_includedir/%toolname
/%_includedir/%toolname/*.h
/%_includedir/%toolname/lp_BFP1.c
/%_includedir/%toolname/lp_BFP2.c

%if_enabled static
%files -n %libname-devel-static
/%_libdir/lib*.a
/%_libdir/lib*.la
/%_libdir/%toolname/lib*.a
/%_libdir/%toolname/lib*.la
%endif

%changelog
* Mon May 22 2006 Aleksey Avdeev <solo@altlinux.ru> 5.5.0.6-alt1.0
- Porting in PLD (lp_solve-3.2-1), see lp_solve.PLD.spec (original spec 
  in docs)
- Use aclocal, libtoolize and automake if automake version >= "1.9.6"

